Create Transfer - Account Beneficiary

Use this API to transfer money from a virtual account to an account number beneficiary.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Test Data

The table below lists the different beneficiary IDs you can use to mock the different transfer scenarios.

beneficiary_idDescription
mock_successUse this beneficiary id to mock a successful transfer.
mock_failed Use this beneficiary id to mock a failed transfer.
mock_pendingUse this beneficiary id to mock a transfer in the pending state.
Body Params
string
required
Defaults to account_number

The account type to which you want to make the transfer.

Possible value: account_number

string
required

The account_id from which money should be debited.

Example: va_Q6USeYXbx38cKa3NbBpoHDViW

string
required

The account_id to which money should be credited.

Example: vab_ZPdnNajZkGlu5xrNDVjZNrb3d

float
required

Amount you want to transfer in rupees.

Example: 369.71

string
required
Defaults to inr

ISO code of the currency in which you want to make the transfer.
Currently, only inr is allowed.

Example: inr

string
required

The mode you want to use to make the transfer.
Possible values:

  • neft
  • imps
  • rtgs

boolean
Defaults to false

Helps improve success rate when creating multiple transfers in a short duration.

Possible values:

  • true: The transfer is added to a queue and sent to the bank asynchronously.
  • false (default): The transfer request is sent to the bank immediately.

string
required

Unique identifier entered when creating the transfer.

  • Only alphabets and numbers are allowed.
  • Minimum: 7 characters.
  • Maximum: 40 characters.
Example: 1409614085

string

Remark for the transfer. This is shown in the bank statement.

  • Only alphabets and numbers are allowed.
  • Minimum: 1 character.
  • Maximum: 40 characters.
Example: Transfer via ZWITCH.

metadata
object

Key-value pair that can be used to store additional information about the entity.

Note:

  • Maximum 5 key-value pairs.
  • Maximum 256 characters in the metadata object.
  • You cannot pass a URL.
  • You cannot use \.
Example: "key_1": "DD"

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json